# Uses of Enum Class
org.jfree.svg.SVGUnits

## Uses of SVGUnits in org.jfree.svg

Subclasses with type arguments of type SVGUnits in org.jfree.svg
Modifier and Type
Class
Description
`enum`
`SVGUnits`
An enumeration of the values for SVG units.
Methods in org.jfree.svg that return SVGUnits
Modifier and Type
Method
Description
`SVGUnits`
SVGGraphics2D.`getFontSizeUnits()`
Returns the font size units.
`SVGUnits`
SVGGraphics2D.`getUnits()`
Returns the units for the width and height of the SVG element's viewport, as specified in the constructor.
`static SVGUnits`
SVGUnits.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SVGUnits[]`
SVGUnits.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.svg with parameters of type SVGUnits
Modifier and Type
Method
Description
`void`
SVGGraphics2D.`setFontSizeUnits(SVGUnits fontSizeUnits)`
Sets the font size units.
Constructors in org.jfree.svg with parameters of type SVGUnits
Modifier
Constructor
Description
``
`SVGGraphics2D(double width, double height, SVGUnits units)`
Creates a new instance with the specified width and height in the given units.
``
`SVGGraphics2D(double width, double height, SVGUnits units, StringBuilder sb)`
Creates a new instance with the specified width and height that will populate the supplied `StringBuilder` instance.